<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=GBK">

<title></title>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/System.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DataSet.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/Control.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBControl.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBNavigator.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBPageNavigator.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBGrid.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBRadioGroup.js"></SCRIPT>

</head>
<BODY onload='afterload();'>
</BODY>
</html>


<SCRIPT language=JavaScript type="text/javascript">

function afterload(){
  init();
}

function init(){
    window.Span1=new Span();
    window.TabSet1=new TabSet();
    window.Div1=new Div(TabSet1);
    window.Span2=new Span(Div1);
    window.DBEdit1=new DBEdit(Div1);
    window.Span3=new Span(Div1);
    window.DBEdit2=new DBEdit(Div1);
    window.TabSet2=new TabSet(TabSet1);
    window.Div2=new Div(TabSet2);
    window.DBGrid1=new DBGrid(Div2);
    window.Div3=new Div(TabSet2);
    window.Radio1=new Radio(Div3);
    window.CheckBox1=new CheckBox(Div3);
    window.Button1=new Button(Div3);
    window.Edit1=new Edit(Div3);
    window.DataSet1=new DataSet();
    var Field1 = new Field("PRODUCT_ID","VARCHAR");
    var Field2 = new Field("PRODUCT_NAME","VARCHAR");
    var Field3 = new Field("PRODUCT_PRICE","REAL");
    var Field4 = new Field("PRODUCT_AREA","VARCHAR");
    window.DBNavigator1=new DBNavigator();
    Span1.Name='Span1';
    Span1.innerText='TabSet Example';
    Span1.style.height='33';
    Span1.style.width='221';
    Span1.style.position='absolute';
    Span1.style.left='207';
    Span1.style.top='20';
    Span1.style.fontSize='18';
    TabSet1.Name='TabSet1';
    TabSet1.style.height='371';
    TabSet1.style.width='655';
    TabSet1.style.position='absolute';
    TabSet1.style.left='7';
    TabSet1.style.top='61';
    TabSet1.SelectIndex=0;
    Div1.Name='Div1';
    Div1.style.height='347';
    Div1.style.width='649';
    Div1.style.position='absolute';
    Div1.style.left='2';
    Div1.style.top='20';
    Div1.Caption='Standard';
    Span2.Name='Span2';
    Span2.innerText='NO.:';
    Span2.style.height='21';
    Span2.style.width='75';
    Span2.style.position='absolute';
    Span2.style.left='13';
    Span2.style.top='47';
    DBEdit1.Name='DBEdit1';
    DBEdit1.value='DBEdit1';
    DBEdit1.style.height='21';
    DBEdit1.style.width='258';
    DBEdit1.style.position='absolute';
    DBEdit1.style.left='103';
    DBEdit1.style.top='47';
    DBEdit1.DataSet=DataSet1;
    DBEdit1.DataField='PRODUCT_ID';
    Span3.Name='Span3';
    Span3.innerText='Name:';
    Span3.style.height='21';
    Span3.style.width='75';
    Span3.style.position='absolute';
    Span3.style.left='15';
    Span3.style.top='99';
    DBEdit2.Name='DBEdit2';
    DBEdit2.value='DBEdit2';
    DBEdit2.style.height='21';
    DBEdit2.style.width='257';
    DBEdit2.style.position='absolute';
    DBEdit2.style.left='103';
    DBEdit2.style.top='95';
    DBEdit2.DataSet=DataSet1;
    DBEdit2.DataField='PRODUCT_NAME';
    TabSet2.Name='TabSet2';
    TabSet2.style.height='347';
    TabSet2.style.width='649';
    TabSet2.style.position='absolute';
    TabSet2.style.left='2';
    TabSet2.style.top='20';
    TabSet2.Caption='TabSet2';
    TabSet2.SelectIndex=0;
    Div2.Name='Div2';
    Div2.style.height='323';
    Div2.style.width='643';
    Div2.style.position='absolute';
    Div2.style.left='2';
    Div2.style.top='20';
    Div2.Caption='test1';
    DBGrid1.Name='DBGrid1';
    DBGrid1.style.height='207';
    DBGrid1.style.width='611';
    DBGrid1.style.position='absolute';
    DBGrid1.style.left='7';
    DBGrid1.style.top='31';
    DBGrid1.DataSet=DataSet1;
    Div3.Name='Div3';
    Div3.style.height='323';
    Div3.style.width='643';
    Div3.style.position='absolute';
    Div3.style.left='2';
    Div3.style.top='20';
    Div3.Caption='test2';
    Radio1.Name='Radio1';
    Radio1.value='Radio1';
    Radio1.style.height='21';
    Radio1.style.width='75';
    Radio1.style.position='absolute';
    Radio1.style.left='93';
    Radio1.style.top='46';
    CheckBox1.Name='CheckBox1';
    CheckBox1.value='CheckBox1';
    CheckBox1.style.height='21';
    CheckBox1.style.width='75';
    CheckBox1.style.position='absolute';
    CheckBox1.style.left='200';
    CheckBox1.style.top='44';
    Button1.Name='Button1';
    Button1.value='Button1';
    Button1.style.height='21';
    Button1.style.width='75';
    Button1.style.position='absolute';
    Button1.style.left='306';
    Button1.style.top='41';
    Edit1.Name='Edit1';
    Edit1.value='Edit1';
    Edit1.style.height='21';
    Edit1.style.width='75';
    Edit1.style.position='absolute';
    Edit1.style.left='11';
    Edit1.style.top='42';
    DataSet1.Name='DataSet1';
    DataSet1.Fields.Add(Field1);
    DataSet1.Fields.Add(Field2);
    DataSet1.Fields.Add(Field3);
    DataSet1.Fields.Add(Field4);
    DataSet1.Fields.Auto = false;
    DataSet1.MaxRows=5;
    DataSet1.DataSource='demo.Simple';
    Field1.Name='Field1';
    Field1.Type='VARCHAR';
    Field1.FieldName='PRODUCT_ID';
    Field2.Name='Field2';
    Field2.Type='VARCHAR';
    Field2.FieldName='PRODUCT_NAME';
    Field3.Name='Field3';
    Field3.Type='REAL';
    Field3.FieldName='PRODUCT_PRICE';
    Field4.Name='Field4';
    Field4.Type='VARCHAR';
    Field4.FieldName='PRODUCT_AREA';
    DBNavigator1.Name='DBNavigator1';
    DBNavigator1.style.height='30';
    DBNavigator1.style.width='660';
    DBNavigator1.style.position='absolute';
    DBNavigator1.style.left='7';
    DBNavigator1.style.top='438';
    DBNavigator1.DataSet=DataSet1;
    TabSet1.Add('Standard',Div1);;
    TabSet1.Add('TabSet2',TabSet2);;
    TabSet1.SetSelectIndex(0);;
    TabSet2.Add('test1',Div2);;
    TabSet2.Add('test2',Div3);;
    TabSet2.SetSelectIndex(0);;
    DataSet1.Open();
}
</SCRIPT>
